Bug 1959 - SweetHome3D crashed on start
: SweetHome3D crashed on start
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-23 22:16 MSD by Stas Fomin
Modified: 2013-08-19 16:23 MSD (History)
1 user (show)

See Also:
RPM Package: SweetHome3D
ISO-related:
Bad POT generating:
Upstream:


Attachments
Log file hs_err_pid12859.log (49.34 KB, text/plain)
2013-04-23 22:16 MSD, Stas Fomin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stas Fomin 2013-04-23 22:16:40 MSD
Created attachment 1321 [details]
Log file hs_err_pid12859.log

Description of problem:
SweetHome3D crashed on start.

[stas@mindgame-hp2740-stas ~]$ SweetHome3D 
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007fbff3b986f3, pid=12859, tid=140463352088320
#
# JRE version: 6.0_24-b24
# Java VM: OpenJDK 64-Bit Server VM (20.0-b12 mixed mode linux-amd64 compressed oops)
# Derivative: IcedTea6 1.11.3
# Distribution: ROSA Linux 2012.1, package mandriva-26.b24.1-x86_64
# Problematic frame:
# C  [libGL.so.1+0x1d6f3]  glXGetFBConfigs+0x53
#
# An error report file with more information is saved as:
# /home/stas/hs_err_pid12859.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Аварийный останов (слепок снят)
[stas@mindgame-hp2740-stas ~]$ 



Version-Release number of selected component (if applicable):
SweetHome3D-3.6-2-rosa2012.1.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. Install
2. Try to launch
Comment 1 Denis Silakov 2013-04-23 22:32:43 MSD
Which video driver do you use? (and what does `rpm -qf /usr/lib64/libGL.so.1` say?)
Comment 2 Stas Fomin 2013-04-24 19:25:46 MSD
[stas@mindgame-hp2740-stas configs (talks)]$ rpm -qf /usr/lib64/libGL.so.1
lib64gl1-9.0.1-2-rosa2012.1.x86_64

I tried Java 1.7, same fail:

[stas@mindgame-hp2740-stas configs (talks)]$ SweetHome3D                                                                                                                                                         
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.                                                                                             
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.                                                                                             
#                                                                                                                                                                                                                  
# A fatal error has been detected by the Java Runtime Environment:                                                                                                                                                 
#                                                                                                                                                                                                                  
#  SIGSEGV (0xb) at pc=0x00007fd64d78e6f3, pid=1185, tid=140558407399168                                                                                                                                           
#                                                                                                                                                                                                                  
# JRE version: 7.0                                                                                                                                                                                                 
# Java VM: OpenJDK 64-Bit Server VM (21.0-b17 mixed mode linux-amd64 compressed oops)                                                                                                                              
# Problematic frame:                                                                                                                                                                                               
# C  [libGL.so.1+0x1d6f3]  glXGetFBConfigs+0x53                                                                                                                                                                    
#                                                                                                                                                                                                                  
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again                                                                           
#                                                                                                                                                                                                                  
# An error report file with more information is saved as:                                                                                                                                                          
# /home/stas/projects/talks/configs/hs_err_pid1185.log                                                                                                                                                             
#                                                                                                                                                                                                                  
# If you would like to submit a bug report, please include                                                                                                                                                         
# instructions on how to reproduce the bug and visit:                                                                                                                                                              
#   http://icedtea.classpath.org/bugzilla                                                                                                                                                                          
# The crash happened outside the Java Virtual Machine in native code.                                                                                                                                              
# See problematic frame for where to report the bug.
#
Аварийный останов (слепок снят)


-----------------------------------

But I found pre-requisite for this bug — it reproduced only when I plug secondary display (1920×1200) to my laptop (1280×800).
Comment 3 Stas Fomin 2013-04-24 19:46:18 MSD
Two display:
* Clone mode 1280×800             — OK
* Left 1280×800 + Right 1280×800  — Crash
Comment 4 Denis Silakov 2013-05-14 11:07:28 MSD
SweetHome3D has been updated to version 4.0, could you try the new package?
Comment 5 Denis Silakov 2013-08-19 16:23:17 MSD
As far as I remember, in a private talk it was said that new SweetHome3D works fine, so closing this bug as fixed. Feel free to reopen if you are still able to reproduce the issue.